version: "2.0"
services:
  database:
    container_name: postgres
    image: postgres:13.1-alpine
    environment:
      POSTGRES_PASSWORD: root
      POSTGRES_DB: postgres
      POSTGRES_USER: postgres
    volumes:
      - ./src/main/resources/schema.sql:/docker-entrypoint-initdb.d/init.sql  
    ports:
      - 5432:5432
  app:
    image: adrianayoureje1:1.0
    build:
      context: .
    container_name: appAdrianAyour
    depends_on:
      - database
    environment:
      - SPRING_DATASOURCE_URL=jdbc:postgresql://database:5432/postgres
      - SPRING_DATASOURCE_USERNAME=postgres
      - SPRING_DATASOURCE_PASSWORD=root
      - SPRING_JPA_HIBERNATE_DDL_AUTO=update
    ports:
      - 8080:8080